Memory Corruption

Affecting system.data.sqlite.core package, versions [,1.0.94.0)

low severity

Overview

System.Data.Common provides the base abstract classes, including System.Data.DbConnection and System.Data.DbCommand, for all data providers.

Affected versions of this package are vulnerable to NULL Pointer Dereference

Remediation

Upgrade System.Data.Common to version 2.0.0 or higher.

References

Do your applications use this vulnerable package?

Credit
Unknown
CWE
CWE-476
Snyk ID
SNYK-DOTNET-SYSTEMDATASQLITECORE-60236
Disclosed
31 Mar, 2017
Published
11 Jan, 2018